Arrays and modules
Returns information for a specific array
Path parameters
arrayIDstringRequired
Array ID
Responses
200
OK
application/json
namestringOptionalExample:
Stage Leftpower_statusall ofOptionalExample:
awakePossible values: string · enumOptionalPossible values:
400
Bad request
application/json
404
Array not found
application/json
500
Internal server error
application/json
get
/arrays/{arrayID}Changes the target power state for the array, allowed values are "on" and "sleep"
Path parameters
arrayIDstringRequired
Array ID
Body
targetall ofRequiredExample:
onPossible values: string · enumOptionalPossible values:
Responses
204
No Content
400
Bad request
application/json
500
Internal server error
application/json
put
/arrays/{arrayID}/powerNo content
Returns information for a specific module.If a module is not paired, the field "name" will be an empty string.
Path parameters
moduleIDstringRequired
Module ID
Responses
200
OK
application/json
blinkingbooleanOptional
manufacturerstringOptionalExample:
HOLOPLOTnamestringOptionalExample:
ABC-1234power_statusall ofOptionalExample:
awakePossible values: string · enumOptionalPossible values:
productstringOptionalExample:
X1typestringOptionalExample:
MD96400
Bad request
application/json
404
Module not found
application/json
500
Internal server error
application/json
get
/modules/{moduleID}Changes the target power state for the module, allowed values are "on" and "sleep"
Path parameters
moduleIDstringRequired
Module ID
Body
targetall ofRequiredExample:
onPossible values: string · enumOptionalPossible values:
Responses
204
No Content
400
Bad request
application/json
500
Internal server error
application/json
put
/modules/{moduleID}/powerNo content
Last updated
Was this helpful?

